#!/bin/bash

check()
{
	test -d "$srcmods/livepatch"
}

install()
{
	inst_hook pre-pivot 99 "$moddir/kernel-livepatch.sh"
	inst_binary find
}

installkernel()
{
	# Cannot use instmods =livepatch, because this syntax only
	# works for subdirectories of subdirectories of $srcmods
	find "$srcmods/livepatch" -type f -regex '.*\.ko\(\.[gx]z\|\.zst\)?$' -printf '%P\n' | \
		hostonly='' instmods
}

